# Algorithms

## Hadi & Simonoff (1993)
```@docs
LinRegOutliers.hs93
```

## Kianifard & Swallow (1989)
```@docs
LinRegOutliers.ks89
```

## Sebert & Montgomery & Rollier (1998)
```@docs
LinRegOutliers.smr98
```

## Least Median of Squares
```@docs
LinRegOutliers.lms
```

## Least Trimmed Squares
```@docs
LinRegOutliers.lts
```

## Minimum Volume Ellipsoid (MVE)
```@docs
LinRegOutliers.mve
```

## MVE & LTS Plot
```@docs
LinRegOutliers.mveltsplot
```

## Billor & Chatterjee & Hadi (2006)
```@docs
LinRegOutliers.bch
```

## Pena & Yohai (1995)
```@docs
LinRegOutliers.py95
```

## Satman (2013)
```@docs
LinRegOutliers.satman2013
```

## Satman (2015)
```@docs
LinRegOutliers.satman2015
```

## Setan & Halim & Mohd (2000)
```@docs
LinRegOutliers.asm2000
```

## Least Absolute Deviations (LAD)
```@docs
LinRegOutliers.lad
```

## Least Trimmed Absolute Deviations (LTA)
```@docs
LinRegOutliers.lta
```

## Hadi (1992)
```@docs
LinRegOutliers.hadi1992
```

## Marchette & Solka (2003) Data Images
```@docs
LinRegOutliers.dataimage
```

## Satman's GA based LTS estimation (2012)
```@docs
LinRegOutliers.galts
```

## Satman's (modified) GA based LTS estimation (2012)
```@docs
LinRegOutliers.gwcga
```


## Fischler & Bolles (1981) RANSAC Algorithm
```@docs
LinRegOutliers.ransac
```

## Minimum Covariance Determinant Estimator (MCD)
```@docs
LinRegOutliers.mcd
```

## Imon (2005) Algorithm
```@docs
LinRegOutliers.imon2005
```

## Barratt & Angeris & Boyd (2020) CCF algorithm
```@docs
LinRegOutliers.ccf
```

## Atkinson (1994) Forward Search Algorithm
```@docs
LinRegOutliers.atkinson94
```

## BACON Algorithm (Billor & Hadi & Velleman (2000))
```@docs
LinRegOutliers.bacon
```

## Hadi (1994) Algorithm
```@docs
LinRegOutliers.hadi1994
```

## Chatterjee & Mächler (1997)
```@docs
LinRegOutliers.cm97
```

## Quantile Regression 
```@docs
LinRegOutliers.quantileregression
```














